	#!/bin/bash

package=evince
version=-2.24.2-MUSICSTAND

progname=$0

source ../../cascade-make/lib/cascade-lib.bash

prefix=$GEXTMUSICSTAND_INSTALLED

export CFLAGS="-I$prefix/include"
export LDFLAGS="-L$prefix/lib"

export POPPLER_CFLAGS="-I$prefix/include/poppler/glib"
export POPPLER_LIBS="-L$prefix/lib -lpoppler-glib -lpoppler"


if [ ! -z $CROSSCOMPILE ] ; then
  export LIBTOOL=arm-poky-linux-gnueabi-libtool
  export PATH=$PATH:$prefix/devel/bin

#  export LDFLAGS="$LDFLAGS -L/usr/local/poky/eabi-glibc/arm/arm-poky-linux-gnueabi/usr/lib"

fi



opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version "$prefix" \
    --disable-scrollkeeper --without-keyring

if [ ! -z $CROSSCOMPILE ] ; then
  if [ $force_config = "1" ] ; then
    echo "Changing libtool to cross-compiled version"
    /bin/cp $prefix/bin/arm-poky-linux-gnueabi-libtool $package$version/libtool
  fi
fi

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"

if [ ! -z $CROSSCOMPILE ] ; then
	if [ $install = "1" ] ; then
	  pushd $prefix/lib ; 
	  for f in libevbackend.la; do
	    sed -i~ -e "s; /usr/lib/; /usr/local/poky/eabi-glibc/arm/arm-poky-linux-gnueabi/usr/lib/;g" $f
	  done
	  popd;
	fi
fi


opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
